# Get Shared Jobs

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Shared Jobs"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/workspaces/{workspace_id}/shared_jobs"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Get a list of shared jobs.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"workspace_id","required":true,"schema":{"format":"uuid","title":"Workspace ID","type":"string"}},{"description":"How many entries do you want to display? Leaving this field empty keeps the default and max 10 results are returned.","in":"query","name":"limit","required":false,"schema":{"default":10,"description":"How many entries do you want to display? Leaving this field empty keeps the default and max 10 results are returned.","maximum":100,"title":"Limit","type":"integer"}},{"description":"Enter an ID if you want to see all entries before this ID.","in":"query","name":"before","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries before this ID.","title":"Before"}},{"description":"Enter an ID if you want to see all entries after this ID.","in":"query","name":"after","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries after this ID.","title":"After"}},{"description":"Which page do you want to see? Type the number.","in":"query","name":"page_number","required":false,"schema":{"anyOf":[{"minimum":1,"type":"integer"},{"type":"null"}],"default":1,"description":"Which page do you want to see? Type the number.","title":"Page Number"}},{"description":"The name of the entity you want to sort by.","in":"query","name":"field","required":false,"schema":{"default":"created_at","description":"The name of the entity you want to sort by.","enum":["expiration_date","created_at"],"title":"Field","type":"string"}},{"description":"Choose how you want to sort the results.","in":"query","name":"order","required":false,"schema":{"default":"DESC","description":"Choose how you want to sort the results.","enum":["ASC","DESC"],"title":"Order","type":"string"}},{"description":"Partial implementation of the OData $select operator. It currently only supports selecting fields from the root entity or a child entity. Selecting fields from children's children is not supported. If you use this parameter, the API answer is always a flat list of distinct JSON objects with the selected properties, for example, '[{\"given_name\": \"user1\", \"user_id\": \"...\"}, ...]' for 'select=created_by/given_name, created_by/user_id'. The results are ordered by the first selected attribute. To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","in":"query","name":"select","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Partial implementation of the OData $select operator. It currently only supports selecting fields from the root entity or a child entity. Selecting fields from children's children is not supported. If you use this parameter, the API answer is always a flat list of distinct JSON objects with the selected properties, for example, '[{\"given_name\": \"user1\", \"user_id\": \"...\"}, ...]' for 'select=created_by/given_name, created_by/user_id'. The results are ordered by the first selected attribute. To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","title":"Select"}},{"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news`, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news'\"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","in":"query","name":"filter","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news`, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news'\"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","title":"Filter"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"description":"A list of matching shared jobs.","items":{"properties":{"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Explain how you expect the users to use this shared job. Users who visit the shared job will see this text. ","title":"Description"},"expiration_date":{"description":"The date after which the generated link will expire and become invalid. The expiration date must be within 365 days from the current date.","format":"date-time","title":"Expiration date","type":"string"},"is_revoked":{"description":"If a shared job is revoked, it's no longer accessible with the link.","title":"Is revoked","type":"boolean"},"job_id":{"description":"Type the ID of the Job you want to share.","format":"uuid","title":"Job ID","type":"string"},"link":{"description":"The link you can share with others to allow them to access the shared job.","title":"Shared job link","type":"string"},"login_required":{"description":"Select `True` if you want to require users to login to access the shared job.","title":"Login required","type":"boolean"},"shared_job_id":{"description":"Unique identifier of the shared job. You can use this ID to manage the shared job.","format":"uuid","title":"Shared job ID","type":"string"},"show_files":{"default":false,"description":"Select `True` if you want your users to be able to view the pipeline files.","title":"Show files","type":"boolean"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The title of the shared job.","title":"Title"},"workspace_id":{"description":"Type the ID of the workspace where the job is located.","format":"uuid","title":"Workspace ID","type":"string"},"workspace_name":{"description":"Type the name of the workspace where the job is located.","title":"Workspace name","type":"string"}},"required":["expiration_date","shared_job_id","job_id","workspace_id","workspace_name","link","is_revoked","login_required"],"title":"SharedJobResponse","type":"object"},"title":"Matching shared jobs in the request page matching your filter criteria","type":"array"},"has_more":{"description":"Whether the paginated result has more results.","title":"Has more results","type":"boolean"},"total":{"description":"The total number of results matching your query.","title":"Total number of results","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedSharedJobResponse","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
